org.eclnt.jsfserver.util

## Class SessionAbstractionSubpageContext

- java.lang.Object
- - org.eclnt.jsfserver.util.SessionAbstractionSubpageContext

- All Implemented Interfaces:
    ISessionAbstraction

      public class SessionAbstractionSubpageContext
      extends java.lang.Object
      implements ISessionAbstraction

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionAbstractionSubpageContext(SubpageContext subpageContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(ISessionAbstractionListener listener)`
    `java.lang.Object` | `getAttribute(java.lang.String name)`
    `java.util.Enumeration<java.lang.String>` | `getAttributeNames()`
    `java.lang.String` | `getId()`
    `void` | `invalidate()`
    `void` | `removeAttribute(java.lang.String name)`
    `void` | `removeListener(ISessionAbstractionListener listener)`
    `void` | `setAttribute(java.lang.String name, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionAbstractionSubpageContext

          public SessionAbstractionSubpageContext(SubpageContext subpageContext)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `ISessionAbstraction`

    - #### setAttribute

          public void setAttribute(java.lang.String name,
                                   java.lang.Object value)

      Specified by:
        `setAttribute` in interface `ISessionAbstraction`

    - #### getAttribute

          public java.lang.Object getAttribute(java.lang.String name)

      Specified by:
        `getAttribute` in interface `ISessionAbstraction`

    - #### getAttributeNames

          public java.util.Enumeration<java.lang.String> getAttributeNames()

      Specified by:
        `getAttributeNames` in interface `ISessionAbstraction`

    - #### invalidate

          public void invalidate()

      Specified by:
        `invalidate` in interface `ISessionAbstraction`

    - #### removeAttribute

          public void removeAttribute(java.lang.String name)

      Specified by:
        `removeAttribute` in interface `ISessionAbstraction`

    - #### addListener

          public void addListener(ISessionAbstractionListener listener)

      Specified by:
        `addListener` in interface `ISessionAbstraction`

    - #### removeListener

          public void removeListener(ISessionAbstractionListener listener)

      Specified by:
        `removeListener` in interface `ISessionAbstraction`

Copyright © CaptainCasa Gmbh. All Rights Reserved.